/*
 * db_creator_parameters.cpp
 *
 *  Created on: 2011/04/11
 *      Author: shu
 */

#include "db_creator_parameters.h"
#include "logger.h"
#include <string>
#include <stdlib.h>
#include <getopt.h>
#include <stdexcept>

DbCreatorParameters::DbCreatorParameters() :
  db_filename_(""), input_filename_(""), max_chunk_sequence_length_(1 << 30)
{}

void DbCreatorParameters::SetParameters(int argc, char* argv[]) {
  int c;
  extern char *optarg;
  while ((c = getopt(argc, argv, "i:l:o:")) != -1) {
    switch (c) {
    case 'i':
      input_filename_ = optarg;
      break;

    case 'l':
      max_chunk_sequence_length_ = atoi(optarg);
      break;

    case 'o':
      db_filename_ = optarg;
      break;

    default:
      throw invalid_argument("\nTry `ghostx --help' for more information.");
    }
  }
}
